### R code from vignette source 'FinTeX.Rnw'

###################################################
### code chunk number 1: FinTeX.Rnw:25-26
###################################################
options(continue = "  ", digits = 3, width = 80, useFancyQuotes = FALSE)


###################################################
### code chunk number 2: FinTeX.Rnw:39-43
###################################################
require("PMwR")
require("zoo")
DAX <- as.zoo(DAX, as.Date(row.names(DAX)))
REXP <- as.zoo(REXP, as.Date(row.names(REXP)))


###################################################
### code chunk number 3: FinTeX.Rnw:55-56
###################################################
returns(DAX, period = "month")


###################################################
### code chunk number 4: FinTeX.Rnw:79-80
###################################################
toLatex(returns(DAX, period = "month"), ytd = "\\textsc{ytd}")


###################################################
### code chunk number 5: FinTeX.Rnw:91-92
###################################################
returns(DAX, period = "annualised")


###################################################
### code chunk number 6: FinTeX.Rnw:96-99
###################################################
DAX  <- summary(as.NAVseries(DAX,  title = "DAX"))
REXP <- summary(as.NAVseries(REXP, title = "REXP"))
toLatex(DAX, REXP, template = "%title: %return\\% \\\\")


###################################################
### code chunk number 7: FinTeX.Rnw:105-108
###################################################
tmpl <- c("Equities (%title) made %return\\%, with a drawdown of %mdd\\%;",
          "bonds (%title) returned %return\\%.")
toLatex(DAX, REXP, template = tmpl)


###################################################
### code chunk number 8: FinTeX.Rnw:112-113
###################################################
toLatex(DAX, template = "The DAX %sparkline made %return\\% during the period.")


###################################################
### code chunk number 9: FinTeX.Rnw:121-123
###################################################
toLatex(DAX, REXP,
        template = "%title & %sparkline & %return & %volatility  \\\\" )


###################################################
### code chunk number 10: FinTeX.Rnw:130-132 (eval = FALSE)
###################################################
## toLatex(DAX, REXP,
##         template = "%title & %sparkline & %return & %volatility  \\\\" )


